
@font-face {
    font-family: 'Bungee Shade';
    src:  url('./assets/fonts/BungeeShade-Regular.ttf') format('truetype')
  }

@font-face {
    font-family: 'Rubik';
    src:  url('./assets/fonts/Rubik-VariableFont_wght.ttf') format('truetype')
  }

/* Color palette */
/* Basic styles */
html, body {
    height: 100%;
    background-attachment: fixed;
    background-repeat: no-repeat;
    font-family: 'Rubik', sans-serif;
    margin: 0px;
    /* background-color: #efefef; */
    color: #e0e0e0;
    background: rgb(2,0,50);
    background: linear-gradient(142deg, rgba(2,0,50,1) 0%, rgba(0,13,87,1) 69%, rgba(52,0,111,1) 100%) fixed;
}

h3 {
    font-family: 'Bungee Shade';
    color: #dadada;
    font-size: 35px;
    text-align: center;
    font-weight: 900;
    /* margin-bottom: 0px; */
    margin:0px;
}

h2 {
    font-family: 'Bungee Shade';
    color: #e0e0e0;
    font-size: 100px;
    text-align: center;
}

.instructionText {
    font-family: 'Rubik';
    font-size: 20px;
    text-align: center;
    font-weight: 300;
    margin: 20px;
    margin-bottom: 20px;
    flex-grow: 1;
    max-width: 50%;
}

.instructionImage {
    font-family: 'Rubik';
    font-size: 20px;
    text-align: center;
    font-weight: 300;
    margin: 20px;
    margin-bottom: 20px;
    flex-grow: 0.5;

}

.instructionCheckText {
    font-family: 'Rubik';
    font-size: 20px;
    text-align: center;
    font-weight: 300;
    margin: 20px;
    margin-bottom: 20px;
    color: #e0e0e0;
}

.instructionPanel {
    background: rgba(187, 187, 187, 0.15);  
    margin: 20px auto;
}

.instructionContainer {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.complete_screen {
    display: block;
    max-width: 610px;
    margin: 200px auto;
}

/* Form Styles */
.form {
    max-width: 800px;
    margin: 60px auto;
}

.submit_form {
    max-width: 610px;
    margin: 0 0 120px 0;
}

.mainInstructions {
    width: 100%;
    margin: 20px auto;
    /*margin-top: 100px;*/
    text-align: center;
    font-size: 18px;
    color: #d8d8d8;
}

/* Customize the label (the container) */
.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /* color: #303030; */
}

/* Hide the browser's default checkbox */
.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    /* top: 40%; */
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.container:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container input:checked ~ .checkmark {
    background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.form__header {
    margin-bottom: 25px;
    /* border-bottom: 0.5px dashed #c5c5c569; */
    height: auto;
    color: #575757;
}

.form__title {
    font-size: 55px;
    margin: 2px 0;
}

.form__instruction {
    font-size: 22px;
}

.preamble {
    font-size: 18px;
}

.form__options {
    border: none;
    padding: 0 0 50px 0;
    /* background: rgb(20, 17, 102); */
    
}

.form__question {
    font-size: 25px;
}

.questionDemo {
    margin: 60px 0 0 0;
    font-size: 25px;
    line-height: 15px;
    width: 100%
}

.form__answer {
    display: block;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    margin: 20px 0 20px 0;
    /* height: 200px; */
    vertical-align: middle;
    font-size: 22px;
    text-align: center;
    color: #e9e9e9;
}

.textEntry {
    display: block;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    margin: 20px 1% 20px 1%;
    height: 100px;
    vertical-align: middle;
    font-size: 40px;
    text-align: center;
    color: #00508d;
}

textarea {
    font-size: 20px;
    font-family: 'Source Sans Pro', sans-serif;
    text-align: center;
    vertical-align: middle;
}

label {
    border: 1px solid rgba(187, 187, 187, 0.15);
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    display: block;
    height: 100%;
    width: 100%;
    padding: 10px 10px 10px 10px;
    cursor: pointer;
    font-style: 'Rubik';
    /* vertical-align: middle; */
    /*opacity: .5;*/
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
    background-color: #f5f5f515;
}
label:hover, label:focus, label:active {
    border: 1px solid #ebebebd3;
    background-color: #f5f5f573
}

.subjectID {
    margin: 200px 0 200px 0;
}

.submitContainer {
    margin: 0 0 150px 0;
}

.submit_button {
    display: block;
    height: 60px;
    width: 200px;
    border: none;
    background-color: #3957b8;
    color: #f5f5f5;
    text-transform: uppercase;
    font-family: 'Rubik', sans-serif;
    padding: 0 20px;
    border-radius: 20px;
    font-weight: 900;
    cursor: pointer;
    margin-top: 20px;
    margin-bottom: 20px;
    margin-left: auto;
    margin-right: auto;
    -webkit-transition: all .25s ease-in-out;
    transition: all .25s ease-in-out;
    font-size: 22px;
    outline: none;
}
.submit_button:hover, .submit:focus {
    background-color: #008aff;
    text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.25);
    outline: none;
}

.bold_text {
    font-weight: bold;
}

.small_text {
    font-size: 15px;
}


/* Input style */
input[type="radio"] {
    opacity: 0;
    width: 0;
    height: 0;
}

input[type="radio"]:active ~ label {
    opacity: 1;
    background: #0092ff;
}

input[type="radio"]:checked ~ label {
    opacity: 1;
    border: 1px solid #303030;
    background: #0092ff;
}

/* Footer Styles */
footer {
    background-color: #003459;
    position: fixed;
    bottom: 0;
    top: auto;
    left: 0;
    right: 0;
    padding: 0;
}

.footer__paragraph, .footer__list, .copyright {
    line-height: 1.5em;
    font-size: 22px;
}

img {
    display: block;
    width: 100px;
    margin-top: 0px;
    margin-right: 0;
    margin-left: auto;
    margin-bottom: 0;
}


.slidecontainer {
    display: flex;
    height: 150px;
    width: 100%; /* Width of the outside container */
    margin: 40px 0 0 0;
}

.slidecontainer2 {
    display: flex;
    height: 50px;
    width: 100%; /* Width of the outside container */
    margin: 40px 0 0 0;
}

.sliderLabel {
    /*display:inline-block;*/
    flex-grow: 0.5;
    height: 50px;
    width: auto;
    font-size:40px;
    margin: 0;
    text-align: center;
    line-height: 50px;
}

/* The slider itself */
.slider {
    /*display:inline-block;*/
    flex-grow: 1;
    -webkit-appearance: none;  /* Override default CSS styles */
    width: 50%; /* Full-width */
    height: 50px; /* Specified height */
    background: #efefef00; /* Grey background */
    outline: none; /* Remove outline */
    opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
    transition: opacity .2s;
    /*margin: 30px 0 0 0 ;*/
    margin: 0;
}

/* Mouse-over effects */
.slider:hover {
    opacity: 1; /* Fully shown on mouse-over */
}

.slider::-webkit-slider-thumb {
    box-shadow: none;
    border: none;
    height: 36px;
    width: 10px;
    border-radius: 3px;
    background: #ffffff; /* Green background */
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -14px;
}

.slider::-webkit-slider-runnable-track {
    width: 100%;
    height: 8.4px;
    cursor: pointer;
    background: #acacac;
    border-radius: 1.3px;
    border: none;
    margin: auto;
}

.slider::-moz-range-thumb {
    width: 25px; /* Set a specific slider handle width */
    height: 50px; /* Slider handle height */
    background: #ffffff; /* Green background */
    cursor: pointer; /* Cursor on hover */
}

.slider::-moz-range-track {
    width: 100%;
    height: 8.4px;
    cursor: pointer;
    box-shadow: none;
    background: #acacac;
    border-radius: 1.3px;
    border: none;
}


.output {
    max-width: 50vw;
    margin: 5vw auto;
    white-space: pre-wrap;
    font-size: 6vw;
}

.task {
    max-width: 50vw;
    margin: 5vw auto;
}

.task__header {
    margin-bottom: 2vw;
    border-bottom: 2px dashed rgba(48, 48, 48, 0.15);
}

.task__title {
    font-size: 8vw;
    margin: 2vw 0;
}

input {
    font-family: 'Rubik';
    font-size: 40px;
    text-align: center;
    font-weight: 300;
    margin-top: 20px
}

#errorID {
    color: rgb(255, 92, 92);
    padding-top: 1%;
}

.languageButtonContainer {
    display: flex;
    align-items: center;
    width: 30%;
    justify-content: center;
    margin: auto;
}

.languageContainer {
    display: flex;
    align-items: center;
    height: 100px;
}

.languageButton {
    width: 10vw;
    height: 2em;
    font-family: 'Rubik';
    font-size: 20px;
    background-color: #e2e2e2;
    color: #1f1f1f;
    outline: none;
    border: none;
}

.languageButton:hover, .submit:focus {
    background-color: #ffffff;
    text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.25);
    outline: none;
}




.flag-icon {
    background-size: contain;
    background-position: 50%;
    background-repeat: no-repeat;
    position: relative;
    display: inline-block;
    /* width: 1.33333333em; */
    /* line-height: 1em; */
    margin: 0;
    height: 4em;
    width: 3em;
  }

.slider-label-container {
      display: flex;
      justify-content: space-between;
      padding-bottom: 100px;
  }